Bug 246245 - fence_ilo does not work with iLO 2 firmware revs > 1.29
Summary: fence_ilo does not work with iLO 2 firmware revs > 1.29
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-29 15:34 UTC by Ryan McCabe
Modified: 2009-04-16 22:43 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:59:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to support firmware > 1.29 (1.25 KB, patch)
2007-06-29 15:35 UTC, Ryan McCabe
no flags Details | Diff
patched fence_ilo for RHEL 5.0.0 (12.92 KB, application/x-perl)
2007-06-29 15:36 UTC, Ryan McCabe
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0575 normal SHIPPED_LIVE cman bug fix update 2007-10-31 12:26:24 UTC

Description Ryan McCabe 2007-06-29 15:34:48 UTC
The behavior of iLO 2 has changed again starting with firmware revision 1.30:
when issuing the <HOLD_PWR_BUTTON/> command when the power is off, iLO 2 now
requires you to supply the attribute TOGGLE="YES" or it errors out.

The fix for this is already in the RHEL5 and HEAD CVS branches.

Comment 1 Ryan McCabe 2007-06-29 15:35:34 UTC
Created attachment 158215 [details]
patch to support firmware > 1.29

Comment 2 Ryan McCabe 2007-06-29 15:36:05 UTC
Created attachment 158216 [details]
patched fence_ilo for RHEL 5.0.0

Comment 4 RHEL Product and Program Management 2007-07-06 14:05:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2007-11-07 16:59:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html



Note You need to log in before you can comment on or make changes to this bug.